<div align="center">
    <img src="assets/banner.png" width="75%" alt="Horama logo" align="center" />
</div>


# 🚀 Getting Started with Torqueo

Torqueo requires Python 3.6 or newer and several dependencies, including Numpy. Installation is straightforward with Pypi:

```bash
pip install torqueo
```

With Torqueo installed, you can dive into image warping. The API is designed to be intuitive, requiring only a few hyperparameters to get started.

Example usage:

```python
import torch
import timm
from torqueo import Fisheye

@tfel todo
```

# Examples of transformations

Below are some examples of image transformations using Torqueo.

|  |  ||
|----------------|----------------|----------------|
| ![Original Image](./assets/rabbit.jpg)<br> Original Image | ![Barrel](./assets/transformations/barrel.jpg)<br> Barrel | ![Fisheye](./assets/transformations/fisheye.jpg)<br> Fisheye  |
| ![Perspective](./assets/transformations/perspective.jpg)<br> Perspective  | ![Pinch](./assets/transformations/pinch.jpg)<br> Pinch  | ![Spherize](./assets/transformations/spherize.jpg)<br> Spherize  |
| ![Stretch](./assets/transformations/stretch.jpg)<br> Stretch  | ![Swirl](./assets/transformations/swirl.jpg)<br> Swirl  | ![Twirl](./assets/transformations/twirl.jpg)<br> Twirl  |
| ![Wave](./assets/transformations/wave.jpg)<br> Wave  |   |   |



# Authors of the code

- [Vipul Sharma]() - vipul_sharma@brown.edu, Brown University
- [Thomas Fel](https://thomasfel.fr) - thomas_fel@brown.edu, PhD Student DEEL (ANITI), Brown University